%def_disable static
%define _libexecdir %_prefix/libexec/PolicyKit
Name: PolicyKit-gnome
Version: 0.9
Release: alt2

Summary: PolicyKit integration for the GNOME desktop
License: GPLv2+
Group: System/Libraries
Packager: GNOME Maintainers Team <gnome at packages.altlinux.org>
Url: http://gitweb.freedesktop.org/?p=users/david/PolicyKit-gnome.git;a=summary
Source0: http://hal.freedesktop.org/releases/%name-%version.tar.bz2

Patch0: PolicyKit-gnome-0.8-dont-spawn-when-running-under-gdm.patch
# fixed in upstream svn 
Patch1: PolicyKit-gnome-icon-names.patch

Patch2: PolicyKit-gnome-0.9-fix-clickable-buttons.patch

%define gtk2_ver 2.12
%define libsexy_ver 0.1.11
%define gnome_vfs_ver 2.4
%define dbus_glib_ver 0.71
%define polkit_ver 0.8
%define intltool_ver 0.35

Requires: PolicyKit
Requires: lib%name = %version-%release

BuildPreReq: rpm-build-gnome
BuildPreReq: libdbus-glib-devel >= %dbus_glib_ver
BuildPreReq: libgtk+2-devel >= %gtk2_ver
BuildPreReq: gnome-vfs-devel >= %gnome_vfs_ver
#BuildPreReq: libsexy-devel >= %libsexy_ver
# bug version libsexy. 0.1.11-alt1 is really 0.1.10
BuildPreReq: libsexy-devel > 0.1.11-alt1
BuildPreReq: libpolkit-devel >= %polkit_ver PolicyKit
BuildPreReq: gnome-doc-utils
BuildPreReq: intltool >= %intltool_ver
BuildPreReq: desktop-file-utils
BuildPreReq: gtk-doc >= 1.3

BuildRequires: gcc-c++ perl-XML-Parser gnome-common

%description
PolicyKit-gnome provides a GNOME integration library and tools for
PolicyKit including an Authentication Agent that matches the look and
feel of the GNOME desktop.

%package demo
Summary: Demo application for PolicyKit-gnome
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description demo
Policy-gnome-demo provides a sample application that demonstrates the
features of both PolicyKit and PolicyKit-gnome. You normally don't
want to have this package installed.

%package -n lib%name
License: LGPLv2+
Summary: PolicyKit-gnome libraries
Group: System/Libraries

%description -n lib%name
Libraries provided by PolicyKit-gnome

%package -n lib%name-devel
License: LGPLv2+
Summary: Headers, libraries and API docs for PolicyKit-gnome
Group: Development/C++
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package provides headers, libraries and API docs for
PolicyKit-gnome.

%prep
%setup -q
%patch0 -p1 -b .no-spawning-under-gdm
%patch1 -p1 -b .icon-names
%patch2 -p1

%build
%autoreconf
%configure  \
		%{subst_enable static} \
		--enable-examples \
		--enable-gtk-doc
%make_build

%install
%make DESTDIR=%buildroot install

desktop-file-install --delete-original  \
	--dir %buildroot%_datadir/applications \
	--remove-only-show-in=GNOME \
	%buildroot%_datadir/applications/polkit-gnome-authorization.desktop

rm -f %buildroot%_libdir/*.la
rm -f %buildroot%_libdir/*.a

%find_lang %name

%post
%gconf2_install polkit-gnome

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall polkit-gnome
fi

%files -f %name.lang
%doc README AUTHORS NEWS COPYING HACKING TODO
%config %gconf_schemasdir/polkit-gnome.schemas
%_bindir/polkit-gnome-authorization
%_libexecdir/polkit-gnome-manager
%_datadir/dbus-1/services/org.gnome.PolicyKit.service
%_datadir/dbus-1/services/org.gnome.PolicyKit.AuthorizationManager.service
%_datadir/dbus-1/services/gnome-org.freedesktop.PolicyKit.AuthenticationAgent.service
%_datadir/applications/polkit-gnome-authorization.desktop

%files -n lib%name
%_libdir/lib*.so.*

%files -n lib%name-devel
%_libdir/lib*.so
%_pkgconfigdir/*.pc
%_includedir/*
%_datadir/gtk-doc/html/polkit-gnome

%files demo
%_bindir/polkit-gnome-example
%_datadir/PolicyKit/policy/org.gnome.policykit.examples.policy

%changelog
* Tue Apr 14 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.9-alt2
- apply a patch to fix applications using PolicyKit-gnome with widgets that only email clicked events

* Sun Aug 10 2008 Alexey Shabalin <shaba@altlinux.ru> 0.9-alt1
- release 0.9

* Mon Apr 21 2008 Alexey Shabalin <shaba@altlinux.ru> 0.8-alt1
- release 0.8
- show the menu item in other desktops too
- fix i18n (fedora patch1)
- drop other patches(upsteam fixed)

* Thu Apr 03 2008 Alexey Shabalin <shaba@altlinux.ru> 0.7-alt2
- add requires PolicyKit (#15132, #15133)
- define dir libexecdir as %%_prefix/libexec/PolicyKit

* Mon Mar 10 2008 Alexey Shabalin <shaba@altlinux.ru> 0.7-alt1
- initial build for ALTLinux

